cancel
Showing results for 
Search instead for 
Did you mean: 

Patches for New CE 1.9.1 Install

SOLVED

Patches for New CE 1.9.1 Install

I've have a new install of Magento CE 1.9.1, which is hosted on SiteGround.  What are the applicable patches I must install for this version of Magento CE?

 

I've searched the knowledge base and forums but can't seem to find a definitive answer on how to determine what patches apply relative to a given Magento CE version install.  Are all patches dated prior to the CD 1.9.1 release incorporated into that release?  If not, how far back in the patches must I go to ensure I've installed all the required patches?

 

Would like to avoid installing an unnecessary patch (and possibly inducing a problem as a result).

 

Appreciate any help/advise.

 

Scott

6 REPLIES

Re: Patches for New CE 1.9.1 Install

Hi, you research the patch for the version of magento 1.9.1.0? Me I can't remove the critical message that appears in my back office

Re: Patches for New CE 1.9.1 Install

Hi,

 

I have did compate patched files in github.  Feel free to check it out. Its for magento 1.8.x-1.9.x GIthub Comparision of changes

 

Hope it would help.

 

Thanks

Re: Patches for New CE 1.9.1 Install

I'm on site ground too and  completely new to developing.  I thought I would be able to press a "DOWNLOAD" button to fix any known issues reagrding patches/upgrades!  I have hunted high and low for a step by step process on installing these patches to no avail.  Can somebody please explain in newbie terms how to install the 2 critical patches? (very newbie i.e I'm on sitegrounds c panel how do i get into the root folder?)  thanks

Re: Patches for New CE 1.9.1 Install

There are multiple patches where some are application from 1.4.x all the way to 1.9.x while some are for certain versions only. 

 

You can view and download the patches here:-

https://www.magentocommerce.com/products/downloads/magento/

 

Click on "Select your format" and you can see if the patch is required for your version. 

 

The current critical patch is SUPEE-5344 which "Addresses a potential remote code execution exploit" and it is applicable for Magento version 1.4.x all the way to 1.9.x. 

 

After downloading the patch, you will need SSH / Shell Access* to implement them:-

====

Please upload the patch into your Magento root directory and run the appropriate SSH command:


For patch files with the file extension .sh:
sh patch_file_name.sh

Example: sh PATCH_SUPEE-1868_CE_1.7.0.2_v1.sh


For patch files with the file extension .patch:
patch –p0 < patch_file_name.patch


Once that is done, refresh the cache in the Admin under "System > Cache Management" so that the changes will be reflected.

 

We highly recommend you test all patches in a test environment before taking them live.

====

 

 

* SSH / Shell Access

 

SSH / Shell Access is usually not enabled by default for shared hosting accounts due to security reasons. 

 

You can contact your hosting provider to enable it for you (most will require a Photo ID while some may charge a small fee). 

 

If your hosting provider refuse to enable it for you, try asking if they can run the above command for you (make sure you provide them the correct command with the proper path to your Magento root directory). 

James Lee | Moderator • Magento Master
See My Recommended Magento Hosting & Security Tips

Re: Patches for New CE 1.9.1 Install

for the patch: PATCH_SUPEE-1533_EE_1.13.x_v1-2015-02-10-08-18-32.sh

 

I am having a problem:

 

Checking if patch can be applied/reverted successfully...
ERROR: Patch can't be applied/reverted successfully.

patching file app/code/core/Mage/Adminhtml/Block/Dashboard/Graph.php
Reversed (or previously applied) patch detected! Assume -R? [n] 
Apply anyway? [n] 
Skipping patch.
1 out of 1 hunk ignored -- saving rejects to file app/code/core/Mage/Adminhtml/Block/Dashboard/Graph.php.rej
patching file app/code/core/Mage/Adminhtml/controllers/DashboardController.php
Reversed (or previously applied) patch detected! Assume -R? [n] 
Apply anyway? [n] 
Skipping patch.
1 out of 1 hunk ignored -- saving rejects to file app/code/core/Mage/Adminhtml/controllers/DashboardController.php.rej

 

I have clear cache Magento but nothing helped.
I have managed to install the: PATCH_SUPEE-5344_CE_1.8.0.0_v1-2015-02-10-08-10-38

Re: Patches for New CE 1.9.1 Install

Your installation may have been patched with SUPEE-1533 which is why the patch failed. 

 

Anyway please do open a new thread if you need further assistance about this as it is unrelated to this topic. 

James Lee | Moderator • Magento Master
See My Recommended Magento Hosting & Security Tips